
##########
logging:
  level:
    root: info
    org.mybatis: debug
    java.sql: debug
    org.springframework.web: trace
    #打印sql语句
    com.example.plus.mapper: debug
##########
mybatis-plus:
#  mapper-locations: classpath:mapper/*/*.xml
#  #实体扫描，多个package用逗号或者分号分隔
#  typeAliasesPackage: com.hssx.cloudmodel
  global-config:
    #主键类型  0:"数据库ID自增", 1:"用户输入ID",2:"全局唯一ID (数字类型唯一ID)", 3:"全局唯一ID UUID";
    id-type: 0
    #字段策略 0:"忽略判断",1:"非 NULL 判断"),2:"非空判断"
    field-strategy: 2
    db-column-underline: true
    refresh-mapper:
##################插入和更新非null判断
    db-config:
      insert-strategy: not_null
      update-strategy: not_null
  configuration:
    map-underscore-to-camel-case: true
    cache-enabled: false
########################


